CHAT_MSG_OPENING
function(_,msg)
    local _,_,caster,event,target = string.find(msg, "(%a+)%s*perform*%s*(%a+)%s*Gathering%s*on%s*(%a*)")
    local herbN = 0
    if caster == "You" and event == "Herb" then
        for i = 1, 5 do
            if target == aura_env.herbs[i] then
                herbN = i
                break
            end
        end
        aura_env.herbCount[herbN] = aura_env.herbCount[herbN] + 1
    end
end

DISPLAY
function()
    local output = ""
    for i = 1, 5 do
        if aura_env.herbCount[i] > 0 then
            if aura_env.herbs[i] == "Starlight" then
                if GetItemCount("Starlight Rose") % 7 == 0 then
                    output = output .. "Starlight Rose" .. " " .. aura_env.herbCount[i] .. " " .. GetItemCount("Starlight Rose") .. " " .. GetItemCount("Starlight Rose") / 4 .. " " .. "|cFF6CFF6C" .. math.floor(GetItemCount("Starlight Rose") / 7) .. "\n"
                else
                    output = output .. "Starlight Rose" .. " " .. aura_env.herbCount[i] .. " " .. GetItemCount("Starlight Rose") .. " " .. GetItemCount("Starlight Rose") / 4 .. " " .. "|cFFFF6C6C" .. math.floor(GetItemCount("Starlight Rose") / 7) .. " - " .. (math.floor(GetItemCount("Starlight Rose") / 7) + 1) * 7 .. "\n"
                end
            else
                output = output .. aura_env.herbs[i] .. " " .. aura_env.herbCount[i] .. " " .. GetItemCount(aura_env.herbs[i]) .. "\n"
            end
        end
    end
    return output
end

INIT
aura_env.herbCount = {0, 0, 0, 0, 0}
aura_env.herbs = {"Dreamleaf", "Aethril", "Fjarnskaggl", "Foxflower", "Starlight"}